# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
repositories:
  - name: "cert-manager-repo"
    url: >-
      {{ env "PRIVATE_CHART_REPOSITORY_URL" |
         default "https://charts.jetstack.io" }}
releases:
  - name: "cert-manager"
    chart: "cert-manager-repo/cert-manager"
    version: "1.12.3"
    namespace: "cert-manager"
    createNamespace: true
    values:
      - "values-cert-manager.gotmpl"
    condition: "certManager.enabled"
  - name: "cert-manager-issuer"
    chart: "../../../charts/cert-manager-issuer"
    namespace: "cert-manager"
    values:
      - "values-cert-manager-issuer.gotmpl"
    skipDeps: true
    condition: "certManager.enabled"

commonLabels:
  deploy-stage: "component-1"
  component: "cert-manager"

bases:
  - "../../bases/environments.yaml"
...
